NODE* Model1(NODE *t, VECTOR<NODE*> &p, NODE* A){
	 
	NODE &q1 = *p(1)+ *p(3);
	NODE &q2 = *p(2)+ *p(4);
	
	NODE *y = &( (*A /q2) *(exp(-(q1 / q2) * *t)) );
	return y; 		
}


NODE* Model2(NODE *t, VECTOR<NODE*> &p, NODE* A){
	 
	NODE &q1 = *p(1)* (exp(*p(4)));
	NODE &q2 = *p(2)*(exp(*p(5)));
	NODE &q3	= *p(3)*(exp(*p(6)));
	
	NODE *y = &( (*A  *(q1*q2/(q3*(q2-q1))))*(exp(-q1* *t)-exp(-q2* *t)) );
	return y; 		
}


NODE* Model2_Complemented(NODE *t, VECTOR<NODE*> &p, NODE* A){
	 
	NODE &q1 = *p(1)* (exp(*p(4)));
	NODE &q2 = *p(2)*(exp(*p(5)));
	NODE &q3	= *p(3)*(exp(*p(6)));
	
	NODE *y = &( (*A  *(q1*q2/(q3*(q2-q1))))*(exp(-q1* *t)-exp(-q2* *t)) );
	NODE *y_special = &-(  (*A *( q1*q2 ) / q3 )* *SpecialFunction_OEDmodel2s(t->NodePtr(), q1.NodePtr(), q2.NodePtr() ) );
	equal(y, y_special);
	return y; 		
}
