#ifndef __GraphViz_H__
#define __GraphViz_H__

#include "DAG/DAGUtilities.h"
#include "DAG/DAGFilters.h"

#include "Structs/multiindex.h"

#include <stdio.h>
#include <iostream>
#include <fstream>  
#include <string>


class dotInput{

public:

dotInput();

string bgcolor;
string nodesep;
string label;
string rankdir;
string edgestyle;
string arrowhead;
string arrowsize;
};

	

void Writedot(DAG &G, ostream &o, LIST< LIST<NODE*>* >* p);
void Writedot(DAG &G, ostream &o, const string &Label = "");
void Writedot(Filter &F, ostream &o);
void WritedotSIS(Filter &F, ostream &o);


void writedot(DAG &G, const string &filename, dotInput *input=0);
void writedot(Filter &F, const string &filename, dotInput *input=0);

#endif

